FAQ
Hi folks,

Okay I just upgraded to the latest apache 2.2.0 and using the same
configuration files as I had for apache1.3 but I am finding there are
permission errors when going to my mailman listinfo directories.

any clues what I need to check here?

---- actual error message ----

Forbidden

You don't have permission to access /mailman/listinfo/ on this server.
Apache/2.2.0 (FreeBSD) mod_ssl/2.2.0 OpenSSL/0.9.8a DAV/2 PHP/4.4.2 Server at
checkit.domain.com Port 80

---- snip ---

Mailman tells me the permissions are fine.

---- snip ---

hostname# pwd
/usr/local/mailman/bin
hostname# ./check_perms
No problems found

---- snip ----


ExecCGI is in the permissions for the mailman /cgi-bin

--- snip ---

<Directory /usr/local/mailman/cgi-bin/>
Options FollowSymLinks ExecCGI
</Directory>

--- snip ---


what else could be wrong here?

cheer,s

Noah

Search Discussions

  • Larry Rosenman at Apr 9, 2006 at 4:26 pm

    On Apr 9, 2006, at 10:56 AM, Noah wrote:

    Hi folks,

    Okay I just upgraded to the latest apache 2.2.0 and using the same
    configuration files as I had for apache1.3 but I am finding there are
    permission errors when going to my mailman listinfo directories.

    any clues what I need to check here?



    what else could be wrong here?
    There is a deny from all very high up in the configuration.

    You might need to add a allow statement in the <directory> block.



    --
    Larry Rosenman http://www.lerctr.org/~ler
    Phone: +1 512-248-2683 E-Mail: ler at lerctr.org
    US Mail: 430 Valona Loop, Round Rock, TX 78681-3893
  • Noah at Apr 9, 2006 at 5:01 pm
    On Sun, 9 Apr 2006 11:26:23 -0500, Larry Rosenman wrote
    On Apr 9, 2006, at 10:56 AM, Noah wrote:



    Hi folks,

    Okay I just upgraded to the latest apache 2.2.0 and using the same
    configuration files as I had for apache1.3 but I am finding there are
    permission errors when going to my mailman listinfo directories.

    any clues what I need to check here?



    what else could be wrong here?
    There is a deny from all very high up in the configuration.

    You might need to add a allow statement in the <directory> block.


    is there a good apache tutorial that explains how the <directory> blocks
    should be structured?

    cheers,

    Noah

    --
    Larry Rosenman http://www.lerctr.org/~ler
    Phone: +1 512-248-2683 E-Mail: ler at lerctr.org
    US Mail: 430 Valona Loop, Round Rock, TX 78681-3893
  • Larry Rosenman at Apr 9, 2006 at 5:08 pm

    On Apr 9, 2006, at 12:01 PM, Noah wrote:

    On Sun, 9 Apr 2006 11:26:23 -0500, Larry Rosenman wrote
    On Apr 9, 2006, at 10:56 AM, Noah wrote:



    Hi folks,

    Okay I just upgraded to the latest apache 2.2.0 and using the same
    configuration files as I had for apache1.3 but I am finding there
    are
    permission errors when going to my mailman listinfo directories.

    any clues what I need to check here?



    what else could be wrong here?
    There is a deny from all very high up in the configuration.

    You might need to add a allow statement in the <directory> block.


    is there a good apache tutorial that explains how the <directory>
    blocks
    should be structured?
    I'd look at the existing configuration.

    I'd add a
    order allow,deny
    allow from all

    in the mailman/cgi-bin <directory> block.



    --
    Larry Rosenman http://www.lerctr.org/~ler
    Phone: +1 512-248-2683 E-Mail: ler at lerctr.org
    US Mail: 430 Valona Loop, Round Rock, TX 78681-3893

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupmailman-users @
categoriespython
postedApr 9, '06 at 3:56p
activeApr 9, '06 at 5:08p
posts4
users2
websitelist.org

2 users in discussion

Noah: 2 posts Larry Rosenman: 2 posts

People

Translate

site design / logo © 2022 Grokbase